using System;

internal sealed class Delegate622 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate622 delegate622_1)
	{
		delegate622_1(object_0);
	}

	public extern Delegate622(object object_0, IntPtr intptr_0);

	static Delegate622()
	{
		Class10.smethod_13(typeof(Delegate622).TypeHandle);
	}

	internal static Delegate622 delegate622_0;
}
